﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication15.Models;


namespace WebApplication15.Controllers
{
    public class PersonController : Controller
    {
        // GET: Person
        public ActionResult Index()
        {
            return View();
        }

        //Wersja 1 - przekazanie danych z widoku do kontrolera poprzez parametry (typy proste)
        public ActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create(string Name, string Surname, int Age, int Salary)
        {
            ViewBag.Message = "Dane otrzymane: " + Name + ", " + Surname + ", " + Age + ", " + Salary;

            return View();
        }


        //Wersja 2 - przekazanie danych z widoku do kontrolera poprzez model
        public ActionResult Create2()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create2(Person person)
        {
            ViewBag.Message = "Dane otrzymane: " + person.Name + ", " + person.Surname + ", " + person.Age + ", " + person.Salary;

            return View();
        }



        //Wersja 3 - przekazanie danych z widoku do kontrolera poprzez model, widok generowany z obsługą walidacji
        public ActionResult Create3()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Create3(Person person)
        {
            if (ModelState.IsValid)
            {
                ViewBag.Message = "Dane otrzymane: " + person.Name + ", " + person.Surname + ", " + person.Age + ", " + person.Salary;
            }

            return View();
        }
    }
}